Index: /trunk/NEMO/OPA_SRC/OBC/obcdta.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2165)
+++ /trunk/NEMO/OPA_SRC/OBC/obcdta.F90	(revision 2166)
@@ -1259,33 +1107,108 @@
       INTEGER :: it , idum
 
-    idum = itobc
-    DO it =1, itobc
-       IF ( ztcobc(it) > zjcnes ) THEN ;  idum = it - 1 ; EXIT ;  ENDIF
-    ENDDO
-    ! idum can be 0 (climato, before first record)
-    IF ( idum == 0 ) THEN
-       IF ( ln_obc_clim ) THEN
-         idum = itobc
-       ELSE
-         ctmp1='obc_dta: find ntobc == 0 for  non climatological file '
-         ctmp2='consider adding a first record in your data file '
-         CALL ctl_stop(ctmp1, ctmp2)
-       ENDIF
-    ENDIF
-    ! idum can be itobc ( zjcnes > ztcobc (itobc) )
-    !  This is not a problem ...
-    nrecbef = idum
-
-  END FUNCTION nrecbef
+      idum = itobc
+      DO it =1, itobc
+         IF ( ztcobc(it) > zjcnes ) THEN ;  idum = it - 1 ; EXIT ;  ENDIF
+         ENDDO
+         ! idum can be 0 (climato, before first record)
+         IF ( idum == 0 ) THEN
+            IF ( ln_obc_clim ) THEN
+               idum = itobc
+            ELSE
+               ctmp1='obc_dta: find ntobc == 0 for  non climatological file '
+               ctmp2='consider adding a first record in your data file '
+               CALL ctl_stop(ctmp1, ctmp2)
+            ENDIF
+         ENDIF
+         ! idum can be itobc ( zjcnes > ztcobc (itobc) )
+         !  This is not a problem ...
+         nrecbef = idum
+
+      END FUNCTION nrecbef
+
+      !!==============================================================================
+      SUBROUTINE obc_depth_average(nt_x)
+         !!-----------------------------------------------------------------------
+         !!                     ***    ROUTINE obc_depth_average   ***
+         !!
+         !!  Purpose : - compute the depth-averaged velocity from depth-dependent OBC frames
+         !!
+         !!    History : 2009-01 : ( Fred Dupont ) Original code
+         !!-----------------------------------------------------------------------
+
+         ! * Arguments
+         INTEGER, INTENT( in ) :: nt_x
+
+         ! * Local variables
+         INTEGER :: ji, jj, jk
+
+
+         IF( lp_obc_east ) THEN
+            ! initialisation to zero
+            ubtedta(:,nt_x) = 0.e0
+            vbtedta(:,nt_x) = 0.e0
+            DO ji = nie0, nie1
+               DO jj = 1, jpj
+                  DO jk = 1, jpkm1
+                     ubtedta(jj,nt_x) = ubtedta(jj,nt_x) + uedta(jj,jk,nt_x)*fse3u(ji,jj,jk)
+                     vbtedta(jj,nt_x) = vbtedta(jj,nt_x) + vedta(jj,jk,nt_x)*fse3v(ji+1,jj,jk)
+                  END DO
+               END DO
+            END DO
+         ENDIF
+
+         IF( lp_obc_west) THEN
+            ! initialisation to zero
+            ubtwdta(:,nt_x) = 0.e0
+            vbtwdta(:,nt_x) = 0.e0
+            DO ji = niw0, niw1
+               DO jj = 1, jpj
+                  DO jk = 1, jpkm1
+                     ubtwdta(jj,nt_x) = ubtwdta(jj,nt_x) + uwdta(jj,jk,1)*fse3u(ji,jj,jk)
+                     vbtwdta(jj,nt_x) = vbtwdta(jj,nt_x) + vwdta(jj,jk,1)*fse3v(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
+         ENDIF
+
+         IF( lp_obc_north) THEN
+            ! initialisation to zero
+            ubtndta(:,nt_x) = 0.e0
+            vbtndta(:,nt_x) = 0.e0
+            DO jj = njn0, njn1
+               DO ji = 1, jpi
+                  DO jk = 1, jpkm1
+                     ubtndta(ji,nt_x) = ubtndta(ji,nt_x) + undta(ji,jk,nt_x)*fse3u(ji,jj+1,jk)
+                     vbtndta(ji,nt_x) = vbtndta(ji,nt_x) + vndta(ji,jk,nt_x)*fse3v(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
+         ENDIF
+
+         IF( lp_obc_south) THEN
+            ! initialisation to zero
+            ubtsdta(:,nt_x) = 0.e0
+            vbtsdta(:,nt_x) = 0.e0
+            DO jj = njs0, njs1
+               DO ji = nis0, nis1
+                  DO jk = 1, jpkm1
+                     ubtsdta(ji,nt_x) = ubtsdta(ji,nt_x) + usdta(ji,jk,nt_x)*fse3u(ji,jj,jk)
+                     vbtsdta(ji,nt_x) = vbtsdta(ji,nt_x) + vsdta(ji,jk,nt_x)*fse3v(ji,jj,jk)
+                  END DO
+               END DO
+            END DO
+         ENDIF
+
+      END SUBROUTINE obc_depth_average
 
 #else
-  !!------------------------------------------------------------------------------
-  !!   default option:           Dummy module          NO Open Boundary Conditions
-  !!------------------------------------------------------------------------------
-CONTAINS
-  SUBROUTINE obc_dta( kt )             ! Dummy routine
-    INTEGER, INTENT (in) :: kt
-    WRITE(*,*) 'obc_dta: You should not have seen this print! error?', kt
-  END SUBROUTINE obc_dta
+      !!------------------------------------------------------------------------------
+      !!   default option:           Dummy module          NO Open Boundary Conditions
+      !!------------------------------------------------------------------------------
+   CONTAINS
+      SUBROUTINE obc_dta( kt )             ! Dummy routine
+         INTEGER, INTENT (in) :: kt
+         WRITE(*,*) 'obc_dta: You should not have seen this print! error?', kt
+      END SUBROUTINE obc_dta
 #endif
-END MODULE obcdta
+   END MODULE obcdta
Index: /trunk/NEMO/OPA_SRC/OBC/obcdyn_bt.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/OBC/obcdyn_bt.F90	(revision 2165)
+++ /trunk/NEMO/OPA_SRC/OBC/obcdyn_bt.F90	(revision 2166)
@@ -99,5 +99,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -134,5 +133,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -166,5 +164,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -200,5 +197,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
 
       !!------------------------------------------------------------------------------
@@ -235,5 +231,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -268,5 +263,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -298,5 +292,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
       !!------------------------------------------------------------------------------
 
@@ -330,5 +323,4 @@
       !! * Local declaration
       INTEGER ::   ji, jj, jk ! dummy loop indices
-      REAL(wp) ::   z05cx, ztau, zin
 
       !!------------------------------------------------------------------------------
Index: /trunk/NEMO/OPA_SRC/OBC/obcrst.F90
===================================================================
--- /trunk/NEMO/OPA_SRC/OBC/obcrst.F90	(revision 2165)
+++ /trunk/NEMO/OPA_SRC/OBC/obcrst.F90	(revision 2166)
@@ -278,5 +278,5 @@
       !! * Local declarations
       INTEGER ::   inum = 11            ! temporary logical unit
-      INTEGER ::   ji,jj,jk,ios
+      INTEGER ::   ji,jj,jk
       INTEGER ::   ino0,it0,nbobc0,jpieob0,jpiwob0,jpjnob0,jpjsob0
       INTEGER ::   ino1,it1,nbobc1,jpieob1,jpiwob1,jpjnob1,jpjsob1
